/* Our responsive table */
.our-responsive-table {
    width: 100%;
}

.our-responsive-table tr td {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 0;
}

.our-responsive-table thead {
    display: none;
}

.our-responsive-table tbody tr {
    display: flex;
    flex-direction: column;
}

.our-responsive-table tbody tr:nth-child(n+2) {
    margin-top: 1rem;
}

.our-responsive-table tbody tr td {
    align-items: center;
    border-left: 1px solid var(--bs-gray);;
    border-right: 1px solid var(--bs-gray);;
    display: flex;
    border-bottom: 1px solid lightgrey;
}

.our-responsive-table tbody tr td:first-child {
    border-top: 1px solid var(--bs-gray);;
}

.our-responsive-table tbody tr td:last-child {
    border-bottom: 1px solid var(--bs-gray);;
}

.our-responsive-table tbody tr td::before {
    align-self: stretch;
    background-color: #f8f9fa;
    content: attr(data-header-title);
    flex: 0 0 30%;
    font-weight: 600;
    margin: -0.5rem 1rem -0.5rem 0;
    min-width: 100px;
    padding: 0.5rem;
    text-align: left;
    white-space: normal;
    letter-spacing: -1px;
    align-items: center;
    color: black;
    display: flex;
}

@media (min-width: 768px) {
    .our-responsive-table thead {
        display: table-header-group;
    }

    .our-responsive-table tbody tr {
        display: table-row;
    }

    .our-responsive-table tbody tr td {
        display: table-cell;
        border: 0;
        vertical-align: middle;
    }

    .our-responsive-table tbody tr td:last-child {
        border-bottom: 0;
    }

    .our-responsive-table tbody tr td::before {
        display: none;
    }

    .our-responsive-table tbody tr td:first-child {
        border-top: 0;
    }
}